ExperimentsUtility
Keywords: uk.ac.bbk.dcs.automed.xml.experiments.ExperimentsUtility class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml.experiments
Class ExperimentsUtility

    java.lang.Object
      uk.ac.bbk.dcs.automed.xml.experiments.ExperimentsUtility

    public class ExperimentsUtility

extends java.lang.Object

Class Task Description

Author:
  Lucas Zamboulis

Constructor Summary
`ExperimentsUtility()`

Method Summary
`static void` | `deleteOldSchema(java.io.PrintStream ps, java.lang.String schemaName)`
`static void` | `deleteOldSchema(java.lang.String schemaName)`
`static int` | `getSOCount(Model m, Schema s)`
`static void` | `printSource(java.lang.String label, org.w3c.dom.Document doc, org.w3c.dom.Document schemaUIDDoc, Schema schema)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExperimentsUtility

    public ExperimentsUtility()

Method Detail

### deleteOldSchema

    public static void deleteOldSchema(java.lang.String schemaName)

### deleteOldSchema

    public static void deleteOldSchema(java.io.PrintStream ps,
                                       java.lang.String schemaName)

### printSource

    public static void printSource(java.lang.String label,
                                   org.w3c.dom.Document doc,
                                   org.w3c.dom.Document schemaUIDDoc,
                                   Schema schema)

### getSOCount

    public static int getSOCount(Model m,
                                 Schema s)
                          throws NotFoundException

  Throws:
    `NotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD